{% load app_filters %}
<html xmlns="http://www.w3.org/1999/html">
<head>
<style>

@media print {

        @page {
           size: a4 portrait;
           @frame header_frame {           /* Static Frame */
               -pdf-frame-content: header_content;
               left: 40pt;
               width: 512pt;
               top: 60pt;
               height: 410pt;
               /*border: 1pt solid red;*/
           }
           @frame content_frame {          /* Content Frame */
               left: 40pt;
               width: 512pt;
               top: 260pt;
               height: 480pt;
               /*border: 1pt solid green;*/
           }
           @frame footer_frame {           /* Another static Frame */
               -pdf-frame-content: footer_content;
               left: 40pt;
               width: 512pt;
               top: 980pt;
               /*border: 1pt solid red;*/
           }
       }

        body{

            font-size: 12pt;
        }
        p{

            line-height: 1.8;
            padding-bottom: 0pt !important;
            padding-top: 0pt !important;

        }

        h1, h2, h3, h4, h5, li{
            padding-top: 0px;
            padding-bottom: 0px;
        }

}
</style>
</head>

<body>
    <div id="header_content">
   </div>	
		<table>	
		<tr>
			<td colspan="4" style="text-align: center" width="450px"><h1>Radiology Report</h1></td>
		<br>
		</tr>        
	<tr>
            <td width="440px" style="vertical-align: middle; text-align: left; font-size:12px; display: block" >
                <table>
                    <tr>
                        <td width="150px">Patient name: </td>
                        <td><b>{{ order.patient.name }}</b></td>
                    </tr>
                    <tr>
                        <td>Facility Name: </td>
                        <td><b>{{ order.hospital.name }}</b></td>
                    </tr>
                    <tr>
                        <td>Study Type: </td>
                        <td><b>{{ order.modality }}</b></td>
                    </tr>
                    <tr>
                        <td>Study created: </td>
                        <td><b>{{ order.created_at|date:"d-M-Y H:i" }}</b></td>
                    </tr>
                </table>
            </td>
	    <td style="vertical-align : middle" width="110px">&nbsp;</td>
            <td width="440px" style="vertical-align: middle; text-align: left; font-size:12px; display: block" >

                <table>
                    <tr>
                        <td width="400px">Patient ID: </td>
                        <td><b>{{ order.patient.patient_id }}</b></td>
                    </tr>
                    <tr>
                        <td>Accession Num: </td>
                        <td><b>{{ order.accession_id }}</b></td>
                    </tr>
                    <tr>
                        <td>Gender</td>
                        <td><b>{{ order.patient.gender }}</b></td>
                    </tr>
                    <tr>
                        <td width="400px">Study Reported:</td>
                        <td><b>{% now "d-M-Y H:i" %}</b></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

    <div style="border-bottom: 1pt solid black;">&nbsp;</div>
    <br>

    <div style="font-size: 12px;">
        {% if order.op_status %}
            <h4>Status</h4> {{ order.op_status|safe }}
        {% endif %}
        {{ order.report|safe }}
    </div>



    <table>
    <!--  <tr>
        <td><img  src="{{ order.provider_radiologist.signature.file|appStorage }}" width="150"></td>
      </tr>

    -->
        <tr>

            {% if order.provider_radiologist %}
                <td> <img  src="{{ order.provider_radiologist.signature.file|appStorage }}" width="150"></td>
            {% endif %}

            {% if order.provider %}

                <td><img  src="{{ order.doctor_signatures.all.3.signature|appStorage }}" width="150"></td>
                <td><img  src="{{ order.doctor_signatures.all.2.signature|appStorage }}" width="150"></td>
                <td><img  src="{{ order.doctor_signatures.all.1.signature|appStorage }}" width="150"></td>
                <td><img  src="{{ order.doctor_signatures.all.0.signature|appStorage }}" width="150"></td>

            {% elif order.radiologist %}

                <td>
                    <img  src="{{ order.radiologist.signature.file|appStorage }}" width="150">
                </td>

            {% elif order.operator %}
                <td> <img  src="{{ order.provider_radiologist.signature.file|appStorage }}" width="150"></td>

            {% else %}

                <td>



                    <td><img  src="{{ order.doctor_signatures.all.3.signature|appStorage }}" width="150"></td>
                    <td><img  src="{{ order.doctor_signatures.all.2.signature|appStorage }}" width="150"></td>
                    <td><img  src="{{ order.doctor_signatures.all.1.signature|appStorage }}" width="150"></td>
                    <td><img  src="{{ order.doctor_signatures.all.0.signature|appStorage }}" width="150"></td>

                </td>

            {% endif %}
        </tr>
    </table>



</body>
</html>
